extends Node2D

export var thrust:float =  250

func _on_Area2D_body_entered(body: Node) -> void:
  if body.is_in_group("Boostable"):
    var boost_direction = Vector2.UP.rotated(rotation).round()
    body.boost(boost_direction * thrust)
    AudioManager.play_sfx(AudioManager.Sfx.SPRING)
    $AnimationPlayer.play("activated")
