extends Node

func parse_seconds_to_display_str(_seconds:float, show_hours:bool=false)->String:
	var rounded_input = int(floor(_seconds))
	var hours_in_seconds = 3600
	var minute_in_seconds = 60
	
	var hours = 0
	var minutes_seconds_str = "%02d:%02d" % [(rounded_input / minute_in_seconds) % 60, rounded_input % 60]
	if show_hours:
		return "%02d:%s" % [floor(rounded_input / hours_in_seconds), minutes_seconds_str]
	return minutes_seconds_str
	
